Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1083

Fluidsynth chorus and reverb settings don't work
April 02, 2021 20:57 - Mostar Jam 69

Status: Closed Start date: April 02, 2021
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/amidi-plug Estimated time: 0.00 hour
Target version: 4.2

Affects version: 41

Description

Note: this issue affects both versions 3.1 in the official Ubuntu 20.04 repository and 4.1 in the ppa

This has been an ongoing issue for the versions of Audacious I've used on Ubuntu 20.04 and derivatives (like Pop OS), and I'm not
sure how to fix it but | know where the issue is. The chorus and reverb settings don't work, and in the settings of AMIDI plugin when |
attempt to override the settings, when | press play on a selected midi file the following gets printed to the terminal:

fluidsynth: error: Unknown string setting 'synth.reverb.active'
fluidsynth: error: Unknown string setting 'synth.chorus.active'

The issue is in
https://github.com/audacious-media-player/audacious-plugins/blob/master/src/amidiplug/backend-fluidsynth/b-fluidsynth.cc with the
following lines of code (lines 57 - 76):

int gain = aud_get_int ("amidiplug", "fsyn_synth_gain");
int polyphony = aud_get_int ("amidiplug", "fsyn_synth_polyphony");
int reverb = aud_get_int ("amidiplug", "fsyn_synth_reverb");
int chorus = aud_get_int ("amidiplug", "fsyn_synth_chorus");

if (gain != -1)
fluid_settings_setnum (sc.settings, "synth.gain", gain / 10.0);

if (polyphony != -1)
fluid_settings_setint (sc.settings, "synth.polyphony", polyphony);

if (reverb 1)
fluid_settings_setstr (sc.settings, "synth.reverb.active", "yes");
else if (reverb 0)
fluid_settings_setstr (sc.settings, "synth.reverb.active", "no");

if (chorus 1)
fluid_settings_setstr (sc.settings, "synth.chorus.active", "yes");
else if (chorus 0)
fluid_settings_setstr (sc.settings, "synth.chorus.active", "no");

The gain and polyphony settings work just fine, but I'm not sure why the chorus and reverb settings don't. | don't believe this is just
an issue with me, as I've used various installs of audacious on multiple computers running some variant of Ubuntu 20.04. This was
not an issue with prior versions of Ubuntu such as 18.04, but | forget what version of Audacious was in the Ubuntu repository for that
release. If this issue could be investigated, or if I'm doing something wrong, any assistance would be appreciated. | don't have
enough experience with the fluidsynth API to be able to fix this myself.=
https://github.com/audacious-media-player/audacious-plugins/blob/master/src/amidiplug/backend-fluidsynth/b-fluidsynth.cc

History

#1 - April 13, 2021 00:21 - John Lindgren

This is probably the change that broke it:
https://github.com/FluidSynth/fluidsynth/commit/6ab0cc3024a18b9691b57880b101915c6d3f764d

#2 - April 13, 2021 00:32 - John Lindgren
- % Done changed from 0 to 100

- Status changed from New to Closed

Fixed in master:
https://github.com/audacious-media-player/audacious-plugins/commit/3551927239525b95343208d676e87742f9bbb0dd

#3 - February 05, 2022 22:21 - John Lindgren

- Target version set to 4.2

July 03, 2025 22


https://github.com/FluidSynth/fluidsynth/commit/6ab0cc3024a18b9691b57880b101915c6d3f764d
https://github.com/audacious-media-player/audacious-plugins/commit/3551927239525b95343208d676e87742f9bbb0dd
http://www.tcpdf.org

